/*!
 * \class PathPlannerControl
 * \brief representation to control a path planner, i.e., activate the planner and set a target
 * \author Ricarda Steffens (steffens _at_ cs.uni-bonn.de)
 * \author Matthias Nieuwenhuisen (nieuwenh _at_ ais.uni-bonn.de)
 * \date December 17, 2010
 */

#ifndef __PathPlannerControl_h_
#define __PathPlannerControl_h_

#include "Tools/Streams/Streamable.h"
#include "Tools/Math/Vector2.h"

class PathPlannerControl : public Streamable
{
protected:
	virtual void serialize(In* in, Out* out)
	{
		STREAM_REGISTER_BEGIN();
		STREAM(active);
		STREAM(target);
		STREAM_REGISTER_FINISH();
	}

public:
	PathPlannerControl() : active(false) {}
	bool active;
	Vector2<float> target;
};

#endif
