/*!
 * \class PathPlannerData
 * \brief representation containing the result of a path planner
 * \author Ricarda Steffens (steffens _at_ cs.uni-bonn.de)
 * \author Matthias Nieuwenhuisen (nieuwenh _at_ ais.uni-bonn.de)
 * \date December 17, 2010
 */
#ifndef __PathPlannerData_h_
#define __PathPlannerData_h_

#include "Tools/Streams/Streamable.h"
#include "Tools/Math/Vector2.h"
#include <vector>

class PathPlannerData : public Streamable
{
protected:
	virtual void serialize(In* in, Out* out)
	{
		STREAM_REGISTER_BEGIN();
		STREAM(pathPlanned);
		STREAM_VECTOR(path);
		STREAM_REGISTER_FINISH();
	}

public:
	bool pathPlanned;
	std::vector< Vector2<float> > path; // path in reversed order
};

#endif
